# gdcm::FileWithName Class Reference

FileWithName. More...

`#include <gdcmSerieHelper.h>`

Inheritance diagram for gdcm::FileWithName:
[legend]
Collaboration diagram for gdcm::FileWithName:
[legend]

List of all members.

## Public Member Functions
| FileWithName (File &f)
## Public Attributes
std::string | filename

## Detailed Description

FileWithName.

Backward only class do not use in newer code

## Constructor & Destructor Documentation

gdcm::FileWithName::FileWithName | ( | File & | f | ) | `[inline]`

## Member Data Documentation

std::string gdcm::FileWithName::filename

The documentation for this class was generated from the following file:

- gdcmSerieHelper.h